Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.living
Class LivingSpecialSpawnEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.living.LivingEvent
                  net.minecraftforge.event.entity.living.LivingSpecialSpawnEvent

    public class LivingSpecialSpawnEvent

extends LivingEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent
`LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`World` | `world`
`float` | `x`
`float` | `y`
`float` | `z`

Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent
`entityLiving`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`LivingSpecialSpawnEvent(EntityLiving entity, World world, float x, float y, float z)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### world

    public final World world

### x

    public final float x

### y

    public final float y

### z

    public final float z

Constructor Detail

### LivingSpecialSpawnEvent

    public LivingSpecialSpawnEvent(EntityLiving entity,
                                   World world,
                                   float x,
                                   float y,
                                   float z)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD